STAR_MODS = STAR_MODS or {}
STAR_MODS.TailoringFix = true


--Newbies are slow (depends on skill level)
do
	local MULT = { -- 1st means lvl 0
		2.5, 2, 1.7, 1.5, 1.4, 1.3, 1.2, 1.1,
	}

	local old_new = ISCraftAction.new
	function ISCraftAction:new(character, item, time, recipe, ...) --print('ISCraftAction:new')
		local o = old_new(self, character, item, time, recipe, ...)
		--print('Recipe: ',recipe:getOriginalname())
		if recipe and recipe.getOriginalname and recipe:getOriginalname() == 'Rip Clothing' then
			--print('Number: ',recipe:getNumberOfNeededItem())
			local is_scissors = recipe:getNumberOfNeededItem() == 2
			if is_scissors and character then --print('true')
				o.is_scissors = true --a hint for sound
				local skill = o.character:getPerkLevel(Perks.Tailoring)
				local mult = MULT[skill+1]
				if mult then
					o.maxTime = o.maxTime * mult
				end
			end
		end
		return o
	end
end

--Replace sound to scissors if it's denim/leather
do
	local function stopSoundScissors(self)
		if self.sound_scissors then
			self.character:getEmitter():stopSound(self.sound_scissors)
			self.sound_scissors = nil
		end
	end

	local old_start = ISCraftAction.start 
	function ISCraftAction:start() --print('ISCraftAction:start')
		old_start(self)
		--print(self.maxTime)
		if self.is_scissors and self.maxTime > 39 then
			local emitter = self.character:getEmitter()
			emitter:stopSoundByName("ClothesRipping")
			self.sound_scissors = emitter:playSound("SewingScissors");
		end
	end
	
	local old_stop = ISCraftAction.stop
	function ISCraftAction:stop()
		old_stop(self)
		stopSoundScissors(self)
	end

	local old_perform = ISCraftAction.perform
	function ISCraftAction:perform()
		old_perform(self)
		stopSoundScissors(self)
	end
end



----- Check bad mods -----
do
	local function showInfo(err_cnt)
		if not ISModalRichText then
			return
		end
		local txt = getText('UI_TailoringFix_Warning',tostring(err_cnt))
		local core = getCore()
		local infoRichText = ISModalRichText:new(core:getScreenWidth()/2-300,core:getScreenHeight()/2-100,600,200,txt, false);
		infoRichText:initialise();
		infoRichText.backgroundColor = {r=0, g=0, b=0, a=0.9};
		infoRichText.chatText:paginate();
		infoRichText:setHeightToContents()
		infoRichText:setY(core:getScreenHeight() / 2 - (infoRichText:getHeight() + 15));
		infoRichText:setVisible(true);
		infoRichText:addToUIManager();
		--infoRichText:removeFromUIManager()
	end


	local function checkItem(typ, is_reverse)
		local item = ScriptManager.instance:getItem(typ)
		--print('checkItem!',typ,item)
		if is_reverse then
			return item and 1 or 0
		end
		return item and 0 or 1
	end


	Events.OnGameStart.Add(function()
		local err = checkItem("Base.Trousers_Denim") + checkItem("Base.Jacket_Chef") + checkItem("Base.BeerCan") + checkItem("Base.BeerEmpty")
			+ checkItem("Base.LeatherStrips")*100 + checkItem("Base.DenimStrips")*100
			+ checkItem("Base.BulletsBox",true) + checkItem("Base.BigHikingBag",true) + checkItem("Base.Schoolbag",true)
			+ checkItem("Base.Bullets9mmBox") + checkItem("Base.Bag_BigHikingBag") + checkItem("Base.Bag_Schoolbag")
			+ checkItem("Base.Sweater",true)*50
		if not (Recipe and Recipe.OnCreate and Recipe.OnCreate.RipClothing) then
			err = err + 1000
		end
		if (err > 0) then
			showInfo(err)
		end
	end)
end





