--Exp from having materials
local MATERIAL_EXP = {
	["Base.RippedSheets"] = 0, --no exp from ripping common clothes
	["Base.RippedSheetsDirty"] = 0,

	["Base.DenimStrips"] = 0.3,
	["Base.DenimStripsDirty"] = 0.3,

	["Base.LeatherStrips"] = 0.6,
	["Base.LeatherStripsDirty"] = 0.6,
}

--Exp from rare items
local ITEM_EXP = {
	--Gloves
	Gloves_LeatherGloves = 10,
	Gloves_LeatherGlovesBlack = 10,
	Gloves_LongWomenGloves = 8,
	Gloves_WhiteTINT = 8,
	
	--Santa
	JacketLong_Santa = 12,
	JacketLong_SantaGreen = 12,
	Trousers_Santa = 5,
	Trousers_SantaGReen = 5,
	
	Jacket_Chef = 5,
	FabricType = 5,

	Shirt_Priest = 7,

	--Ranger
	Jacket_Ranger = 5,
	Shirt_Ranger = 3,
	Trousers_Ranger = 2,
	Tshirt_Profession_RangerBrown = 1,
	Tshirt_Profession_RangerGreen = 1,
	Tshirt_Ranger = 1,
	
	--Police
	Jacket_Police = 5,
	Shirt_OfficerWhite = 3,
	Shirt_PoliceBlue = 3,
	Shirt_PoliceGrey = 3,
	Trousers_Police = 2,
	Trousers_PoliceGrey = 2,
	Tshirt_PoliceBlue = 1,
	Tshirt_PoliceGrey = 1,
	Tshirt_Profession_PoliceBlue = 1,
	Tshirt_Profession_PoliceWhite = 1,

	--Prison Guard
	Shirt_PrisonGuard = 3,
	Trousers_PrisonGuard = 2,

	--Medical
	Shirt_Scrubs = 3,
	Trousers_Scrubs = 2,
	Tshirt_Scrubs = 1,
	JacketLong_Doctor = 4,
}


local function AddTailoringExp(player, item_name, material_name, cnt_strips, item_condition)
	--[[print('AddTailoringExp:\n',
		'player: ',player,'\n',
		'item_name: ',item_name,'\n',
		'material_name: ',material_name,'\n',
		'cnt_strips: ',cnt_strips,'\n',
		'item_condition: ',item_condition,'\n'); --]]
	local mult = item_condition < 0.201 and 0 or ((item_condition - 0.2) * 1.5)
	local exp = ((MATERIAL_EXP[material_name] or 0.2) * cnt_strips + (ITEM_EXP[item_name] or 0) * 4) * mult
	--print('mult = ',mult,' exp = ',exp)
	if exp > 0 then
		player:getXp():AddXP(Perks.Tailoring, exp);
	end
end


--Fix exp
do
  local old_RipClothing_OnCreate = Recipe.OnCreate.RipClothing
  function Recipe.OnCreate.RipClothing(items, result, player, selectedItem) --print('rip injected')
    local item = items:get(0)
    local cnt_strips = 0
    local material_name = nil
    local old_CreateItem = InventoryItemFactory.CreateItem
    InventoryItemFactory.CreateItem = function(name, ...)
      if MATERIAL_EXP[name] then
        material_name = name
        cnt_strips = cnt_strips + 1
      end
      return old_CreateItem(name, ...)
    end
    old_RipClothing_OnCreate(items, result, player, selectedItem)
    InventoryItemFactory.CreateItem = old_CreateItem
		if material_name then
			local cond = item:getConditionMax() or 1 -- if less than 21%, exp will be zero.
			cond = (item:getCondition() or 0) / (cond ~= 0 and cond or 1) -- percent
			AddTailoringExp(player, item:getType(), material_name, cnt_strips, cond)
		end
  end
end











